aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jeremy Hughes (Updated) (JIRA)" <>
Subject [jira] [Updated] (ARIES-680) Be more careful to use scope provided external dependencies
Date Wed, 26 Oct 2011 16:23:33 GMT


Jeremy Hughes updated ARIES-680:

    Fix Version/s: blueprint.core-0.4
                   blueprint uber bundle 0.4
                   proxy uber bundle 0.4
> Be more careful to use scope provided external dependencies
> -----------------------------------------------------------
>                 Key: ARIES-680
>                 URL:
>             Project: Aries
>          Issue Type: Bug
>          Components: Application, Blueprint, JMX, JNDI, JPA, Proxy, Quiesce, Transaction,
>    Affects Versions: 0.4
>            Reporter: David Jencks
>            Assignee: David Jencks
>             Fix For: proxy uber bundle 0.4, proxy.impl-0.4, blueprint uber bundle 0.4,
blueprint.annotation.impl-0.3.2,, blueprint.core-0.4
> There are a lot of poms that use slf4j-api osgi core, and osgi-compendium as non-provided
dependencies.  Since these are rarely used in production as these specific bundles the maven
dependencies are misleading and cause consuming projects to have to exclude them explicitly.

This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators:!default.jspa
For more information on JIRA, see:


View raw message